From f937996fc7c3b4ff9694c1afb36ea0901284e65c Mon Sep 17 00:00:00 2001
From: Joel Galenson <jgalenson@google.com>
Date: Apr 16 2020 23:25:04 +0000
Subject: [PATCH 281/2232] Update documentation


---

diff --git a/src/lib.rs b/src/lib.rs
index 609db59..780a26e 100644
--- a/src/lib.rs
+++ b/src/lib.rs
@@ -79,8 +79,10 @@
 //!
 //!         // Functions implemented in C++.
 //!         fn make_demo(appname: &str) -> UniquePtr<ThingC>;
-//!         fn get_name(thing: &ThingC) -> &CxxString;
 //!         fn do_thing(state: SharedThing);
+//!
+//!         // Methods implemented in C++.
+//!         fn get_name(self: &ThingC) -> &CxxString;
 //!     }
 //!
 //!     extern "Rust" {
@@ -90,6 +92,9 @@
 //!
 //!         // Functions implemented in Rust.
 //!         fn print_r(r: &ThingR);
+//!
+//!         // Methods implemented in Rust.
+//!         fn print(self: &ThingR);
 //!     }
 //! }
 //! #
@@ -99,6 +104,12 @@
 //! #     println!("called back with r={}", r.0);
 //! # }
 //! #
+//! # impl ThingR {
+//! #     fn print(&self) {
+//! #         println!("method called back with r={}", self.0);
+//! #     }
+//! # }
+//! #
 //! # fn main() {}
 //! ```
 //!

